<?php
// $Id:
function phptemplate_settings($saved_settings) {
  $settings = theme_get_settings('citynews');
  $defaults = array(
    'citynews_style' => 'citynews_black',
	'headbackground' => '',
	
  );
  $settings = array_merge($defaults, $settings);
  
  if ($file = file_save_upload('headbg_upload')) {
    $parts = pathinfo($file->filename);
    $filename = 'citynews'.'_headbg.'. $parts['extension'];
    if (file_copy($file, $filename, FILE_EXISTS_REPLACE)) {
      $_POST['headbackground'] = $file->filepath;
    };
  };
  $form['head_bg'] = array(
      '#type' => 'fieldset',
      '#title' => t('Head background settings'),
  );
  $form['head_bg']['headbackground'] = array(
    '#type' => 'textfield',
	'#title' => t('Path to head background image'),
	'#size' => 60,
	'#default_value' => $settings['headbackground'],
	'#description' => t("Enter image path from site root directory"),
  );
  $form['head_bg']['headbg_upload'] = array(
      '#type' => 'file',
      '#title' => t('Upload head background image'),
      '#description' => t("If you don't have direct file access to the server, use this field to upload your head background image.")
    );

  $cssdir=drupal_get_path('theme', 'citynews') . '/css';
  $filesfromcss=scandir ($cssdir);
  $arr1=array();
  $arr2=array();
  foreach ($filesfromcss as $cssi=>$cssname){
	$ffname=$cssdir.'/'.$cssname;
	if (!is_file($ffname)) continue;
	$iscss=substr($cssname,strlen($cssname)-4,4);
	if ( $iscss !== '.css') continue;
	if (is_readable ($ffname)){
	  $cssfile=fopen($ffname,'r');
	  $cssstr=trim(fgets($cssfile, 64));
	  $cnpos=stripos($cssstr,'citynewsstyle');
	  if ($cnpos!==false){
		$iqpos=stripos($cssstr,'=',$cnpos+13);
		if ($iqpos!==false){
		  $cityname=trim(preg_replace("/(\**\/)*/","",substr($cssstr,$iqpos+1,strlen($cssstr)-$iqpos+1)));
		  $citycss=substr($cssname,0,strlen($cssname)-4);
		  $arr1[]=$citycss;
		  $arr2[]=$cityname;
		};
	  };
	};
  };
  $form['citynews_style'] = array(
    '#type' => 'select',
    '#title' => t('Style'),
    '#default_value' => $settings['citynews_style'],
    '#options' => array_combine($arr1,$arr2),
  );

  return $form;
}